Crea tu web personal con Jekyll (21-07-2016)


#1

DESCRIPCIÓN

Una web personal ayuda a posicionarte en Internet como profesional, además de darte una identidad que no podrías conseguir con redes sociales. Una buena forma de crear tu web personal, es hacerlo con Jekyll, un generador de páginas estáticas muy sencillo de administrar y altamente hackeable.


¿DE QUÉ HABLAREMOS?

Empezaremos con una pequeña introducción al uso de Jekyll y donde alojar tu página personal, para continuar y terminar con un taller práctico del que saldrás con tu web lista para que le añadas el contenido que creas oportuno.


PROGRAMA

18:00-18:15 Ronda de presentaciones.
18:15-18:30 Introducción y teoría
18:15-20:00 Taller práctico de iniciación a Jekyll

DESPUÉS DEL EVENTO

Tras la jornada es habitual que parte del grupo nos vayamos de tapeo por las cercanías, perfecto para ir conociéndonos más entre nosotros.


LOCALIZACIÓN

Lugar: IADEE Formación, Manuel Azaña, 159, Almería.

Fecha: 21 de julio del 2016

Hora: de 18:00 a 20:00


Este es un tema de discusión derivado de la entrada http://hacklabalmeria.net/actividades/2016/07/21/taller-introduccion-a-jekyll.html

#2

@SrFreak en media horilla tienes ventilado el taller y te sobra no? XD


#3

En media hora te hago dos jekylls y medio.


#4

Que pena no poder ir. Se grabará?
Estaré atento a las slides para verlas en diferido, aunque no va a ser lo
mismo.


#6

Para instalarlo sólo necesitas lanzar un «gem install jekyll»1

puedes hacer todas las pruebas en local perfectamente, es de lo mejor que jekyll resuelve, y luego con scp, rsync, git o lo que sea que quieras usar mandas las cosas al servidor web.


#7

No hace falta traer nada preinstalado, si eso resuelve tu pregunta :wink:


#8

Gracias por la charla, ha estado muy bien, como te he dicho al final. Aunque hubiera alguno que te ha troleado.


#9

Para los que nos daba error de versión de ruby, pongo la solución que es muy sencilla.

sudo apt install ruby2.0 ruby2.0-devel

luego en /usr/bin

sudo unlink ruby
sudo unlink gem
sudo ln -s ./ruby2.0 ./ruby
sudo ln -s ./gem2.0 ./gem

Y a partir de aquí se instala perfectamente jekyll. Lo que me pasó es que borré una libreria de ruby de la 1.9 para forzar el error pero parece que aunque la versión sea la 2.0 aún utiliza librerias de la 1.9, y preferí atender a la explicación que volver a montar la historia.


#10

¿seguro que no pueden hacerse estos pasos con la orden alternatives?


#11

[josemar1992] josemar1992
http://foro.hacklabalmeria.net/users/josemar1992
22 Julio

Para los que nos daba error de versión de ruby, pongo la solución que es
muy sencilla.

sudo apt install ruby2.0 ruby2.0-devel

luego en /usr/bin

sudo unlink ruby
sudo unlink gem
sudo ln -s ./ruby2.0 ./ruby
sudo ln -s ./gem2.0 ./gem

Eso, como diría @Olea, es una guarrada, además de que significa
problemas de mantenimiento del equipo después.

Lo suyo es utilizar update-alternatives: man update-alternatives.

Todos los sistemas utilizan herramientas para configurar aplicaciones
instaladas con distintas versiones: python 2, 3; openjdk 7,8…

Utilizadlas porque están para algo.

Salud y Revolución.

Lobo.


#12

Yo no he dicho esto [quote=“olea, post:10, topic:7340”]
que no pueden hacerse estos pasos con la orden alternatives
[/quote]

.
Desconocía la orden alternatives, pero parece que ayer nadie se acordó de esa orden.


#13

En mi pueblo se dice “Mientras rula, no es chamba”.
Cada uno tenemos el sistema con las guarradas que no sabemos “limpiar” y llegamos hasta donde llegamos. Si me funciona y no se que es una guarrada ¿donde está la guarrada?

Es una pena que no estuvieras ayer allí.


#14

No caí yo ayer en eso, fallo por mi parte.


#15

No es por ti. Tu ya hiciste bastante con lo que te tocó lidiar.
Gracias. Hoy he hecho ejemplos y viendo cosas


#16

[josemar1992] josemar1992
http://foro.hacklabalmeria.net/users/josemar1992
22 Julio

En mi pueblo se dice “Mientras rula, no es chamba”.
Cada uno tenemos el sistema con las guarradas que no sabemos “limpiar” y
llegamos hasta donde llegamos. Si me funciona y no se que es una
guarrada ¿donde está la guarrada?

A ver, quizás la palabra guarrada suena fuerte, pero no esta bien hecho
y, como dije en el primer comentario, te puede traer problemas en el futuro.

Además, es más que posible que en la próxima actualización del sistema,
el sistema de paquetería te borre ese enlace simbólico y te rehaga el
anterior con lo cual te dará problemas.

Por eso hay que utilizar las herramientas del sistema que están ahí para
algo.

Es una pena que no estuvieras ayer allí.
Estaba cansado y como no tengo pensamiento de hacer nada con Jekyll en,
digamos, las próximas semanas, no me pareció necesario ir. :^)

Salud y Revolución.

Lobo.


#17

Decir que este finde por fin me dediqué con la tarea pendiente de migrar mi web a Jekyll y salvo algunos detalles parece que ya está el cambio operativo: http://olea.org/diario/2016/08/20/cambios-en-mi-web.html

Lo digo simplemente por que si hay alguien interesado en la experiencia se puede hacer otro taller práctico.

Saludos.


#18

Seria un detalle. En fin… Que por mi si. Pero que si no, pues tampoco pasa nada. Y creo que al final he sacado todo lo que se dijo.


#19

Me gusta que lo hayas hecho con Jekyll Now.

Sobre migraciones hay material para otra charla.


#21

ups, gracias.

una cosa que me falta es un buen repaso en busca de enlaces perdidos.